import res from '@/utils/system/request.js'

// 获取全部分类接口
export const getCattleClassify = (params) => res('get', 'apiCow', '/manager/cattleClassify/listTree')
// 新增牛只分类信息
export const addCowClassify = (params) => res('post', 'apiCow', '/manager/cattleClassify/add',params)
// 删除牛只分类信息
export const deleteCowClassify = (params) => res('delete', 'apiCow', '/manager/cattleClassify/delete',{params:params})
// 编辑牛只分类信息
export const updateCowClassify = (params) => res('post', 'apiCow', '/manager/cattleClassify/update',params)
// 新增牛只接口
export const saveCattleItem = (params) => res('post', 'apiCow', '/manager/cattleItem/saveCattleItem',params)
// 获取牛只重量范围列表
export const getCattleWeightScopes = (params) => res('get', 'apiCow', '/manager/cattleItem/getCattleWeightScopes',{params:params})

// 牛只商品分页查询
export const getCattleItemPage = (params) => res('get', 'apiCow', '/manager/cattleItem/getCattleItemPage',{params:params})
// 牛只商品下架 
export const setOffSale = (params) => res('put', 'apiCow', '/manager/cattleItem/sku/offSale',params);
// 牛只商品上架
export const setToSale = (params) => res('put', 'apiCow', '/manager/cattleItem/sku/toSale',params);
// 获取牛只详情 
export const getCattleSpu = (params) => res('get', 'apiCow', '/manager/cattleItem/getCattleSpu',{params:params})
// 编辑牛只商品 
export const updateCattleSpu = (params) => res('post', 'apiCow', '/manager/cattleItem/updateCattleSpu',params)
// 删除牛只商品 
export const updateCattleSku = (params) => res('post', 'apiCow', '/manager/cattleItem/updateCattleSku',params)

// 订单
// 查询全部订单
export const getCattleOrderPage = (params) => res('get', 'apiCow', '/manager/cattle/order/getCattleOrderPage',{params:params})

//意向用户列表 
export const potentialUserListPage = (params) => res('get','apiCow', '/cattle/potential/potentialUserListPage', {params:params})
// 修改意向客户联系状态
export const updatePotentialStatus = (params) => res('post', 'apiCow', '/cattle/potential/update', params);

//查询订单详情 
export const getCattleOrderInfo = (params) => res('get','apiCow', '/manager/cattle/order/getCattleOrderInfo', {params:params})
// 发起改价 
export const UpdatePrice = (params) => res('post', 'apiCow', '/manager/cattle/order/cattleOrderUpdatePrice', params);
// 确认已看牛 
export const confirmAppointCattle = (params) => res('post', 'apiCow', '/manager/cattle/order/confirmAppointCattle', params,{form:true});
// 确认支付尾款 
export const confirmLastPay = (params) => res('post', 'apiCow', '/manager/cattle/order/confirmLastPay', params,{form:true});




