import Layout from '@/layout/index.vue'
import { createNameComponent } from '../createNode'
const route = [
  {
    path: '/orderManage',
    component: Layout,
    redirect: 'orderManage/orderManageIndex',
    meta: { title: '牛只订单', icon: 'icon-shu' },
    children: [
      {
        path: 'orderManage/orderManageIndex',
        component: createNameComponent(() => import('@/views/orderManage/orderManageIndex.vue')),
        meta: { title: '牛只订单管理',icon: 'icon-dingdandingdanmingxishouzhimingxi', cache: false},
      },
      {
        path: 'orderManage/orderDetail',
        component: createNameComponent(() => import('@/views/orderManage/orderDetail.vue')),
        meta: { title: '牛只订单详情',hideMenuItem: true, cache: false,},
      }
    ]
  },
]

export default route